The NNLO corrections to $H + j$ receive contributions from processes which, with respect to the leading order, feature two additional external legs (double real emission, \cite{DelDuca:2004wt,Dixon:2004za,Badger:2004ty}), one external leg and one internal loop (real virtual, \cite{Dixon:2009uk,Badger:2009hw,Badger:2009vh}) or two additional internal loops (double virtual, \cite{Gehrmann:2011aa}). Each of these is separately infrared (IR) divergent, with the divergences cancelling upon integration over the phase space. Since this integration is  performed numerically, a procedure is needed to extract the singularities from the various contributions and to achieve their cancellation prior to the phase space integration.
%\subsection{Antenna subtraction}

In the integration of the real radiation contributions over their phase space, IR divergences appear in configurations where the momentum of a parton becomes unresolved. In such configurations, a QCD matrix element factorizes into products of universal unresolved factors, which contain the IR singularities, and reduced matrix elements, which depend only on the resolved kinematics. The antenna subtraction formalism \cite{GehrmannDeRidder:2005cm,Daleo:2006xa,Currie:2013vh} makes use of this
factorization in describing the divergent behaviour of matrix elements in terms of simpler normalized matrix elements involving an adequate set of partons. Using these antenna functions, one can construct subtraction terms which, when added to the corresponding matrix elements, make them well-defined and integrable over the whole phase space, thus allowing for numerical integration.

With the reduced matrix element $M_n$ (possibly with loops) and the jet function $J_n$, a typical subtraction term has the form:
\begin{equation}
 X_m^l(p_a,p_2,\ldots,p_{m-1},p_b)|M_n(\ldots,\tilde{p}_a,\tilde{p}_b,\ldots)|^2J_n(\ldots,\tilde{p}_a,\tilde{p}_b,\ldots),
\end{equation}
where $X_m^l(p_a,p_2,\ldots,p_{m-1},p_b)$ is the $m$-parton $l$-loop antenna function, which features the full IR divergent behaviour of the partons $p_2,\ldots,p_{m-1}$ in the colour ordering $\{p_a,p_2,\ldots,p_{m-1},p_b\}$. At NNLO, one is required to consider values of $(m,l)$ up to $(4,0)$ and $(3,1)$. The momenta $\tilde{p}_a$ and $\tilde{p}_b$ are given through mappings $\{p_a,p_2,\ldots,p_{m-1},p_b\}\rightarrow\{\tilde{p}_a,\tilde{p}_b\}$ which interpolate between all unresolved configurations of the partons $p_2,\ldots,p_{m-1}$ with the hard radiators $p_a$ and $p_b$.
The subtraction terms can then be integrated analytically over the phase spaces of the unresolved partons to obtain the integrated antenna functions $\mathcal{X}_m^l(p_A,p_B)$, which feature explicit poles up to order $2(m-2+l)$ in $D-4$. Together with the mass factorization counterterms, which originate from the renormalization of the PDFs, they can be shown to fully cancel the pole structure of the virtual loop matrix elements.
%\subsection{Implementation}

We have implemented all subprocesses for $H+j$ at NNLO into the
parton-level event generator NNLOJET \cite{Chen:2014gva,Chen:2016zka}, relying on the antenna subtraction method to cancel the implicit and explicit IR divergences appearing in the matrix elements of the various contributions. This program allows for the computation of all IR-safe observables related to $H+j$ final states to NNLO accuracy. Renormalization and factorization scale can be chosen on an event-by-event basis. In order to stabilize the numerical integration, and to arrive at reliable error estimates on it, we divide the sample of Monte Carlo integration points into sub-samples, on which a weighted average is performed (see \cite{Ridder:2015dxa,Ridder:2016rzm,Ridder:2016nkl} for details on this procedure). The decay of the Higgs boson to two photons is included, and other decay modes will be added in the future. The program allows us to make predictions for fiducial cross sections taking into account appropriate event selection criteria and Higgs boson decay matrix elements.

The NNLOJET code is used for the fixed order predictions of the
observables discussed in Section~\ref{sec:jbenchmarks}. Besides this,
it also provides an independent validation of the fixed-order results
described in Section~\ref{subsec:stwz_blptw} (JVE method), which use
the code of Ref.~\cite{Caola:2015wna}. For example, the NNLOJET result for the 
inclusive cross section with scale choice $\mu_F=\mu_R=1/2*m_H$ and under infinite top mass assumption is 17.7~pb for $p_{T,{\rm min}} = 30$~GeV. By removing the NNLO contribution from the quark-quark initiated channels and including the finite top quark mass effect at LO (which is the exact setup used for the fixed order results),
% in Section 2.3), 
the NNLOJET result fully agrees with the corresponding NNLO inclusive
cross sections quoted in Table~\ref{tab:STWZ0jet}.
 
%%%
